org.codehaus.groovy.tools.groovydoc

## Class GroovyDocWriter

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

    public class GroovyDocWriter
    extends java.lang.Object

Write GroovyDoc resources to destination.

### Constructor Summary

Constructors
Constructor and Description
`GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, java.util.Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeClasses(GroovyRootDoc rootDoc, java.lang.String destdir)`
`void` `writeClassToOutput(GroovyClassDoc classDoc, java.lang.String destdir)`
`void` `writePackages(GroovyRootDoc rootDoc, java.lang.String destdir)`
`void` `writePackageToOutput(GroovyPackageDoc packageDoc, java.lang.String destdir)`
`void` `writeRoot(GroovyRootDoc rootDoc, java.lang.String destdir)`
`void` `writeRootDocToOutput(GroovyRootDoc rootDoc, java.lang.String destdir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroovyDocWriter

    public GroovyDocWriter(GroovyDocTool tool,
                           OutputTool output,
                           GroovyDocTemplateEngine templateEngine,
                           java.util.Properties properties)

### Method Detail

#### writeClasses

    public void writeClasses(GroovyRootDoc rootDoc,
                             java.lang.String destdir)
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writeClassToOutput

    public void writeClassToOutput(GroovyClassDoc classDoc,
                                   java.lang.String destdir)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writePackages

    public void writePackages(GroovyRootDoc rootDoc,
                              java.lang.String destdir)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writePackageToOutput

    public void writePackageToOutput(GroovyPackageDoc packageDoc,
                                     java.lang.String destdir)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writeRoot

    public void writeRoot(GroovyRootDoc rootDoc,
                          java.lang.String destdir)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writeRootDocToOutput

    public void writeRootDocToOutput(GroovyRootDoc rootDoc,
                                     java.lang.String destdir)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`